import java.io.*; 
import java.net.*;

class Client
{
    public static void main(String args[])
    {
        Socket s = null;
        BufferedReader is = null;
        PrintStream os = null;
        String indirizzo = "localhost";
        String port = "4444";
        File file = null;

        if (args.length >= 3 )
        {
            indirizzo = args[0];
            port = args[1];
            if (args.length == 4){
                file = new File(args[3]);
            }else{
                file = new File(args[2]);
            }
            
        }else{
            System.out.println("Uso: java Client IP PORT FILENAME");
            return;
        }

    
        try 
        {
            s = new Socket(indirizzo, Integer.parseInt(port)); // IP e porta del server
            is = new BufferedReader(new InputStreamReader(s.getInputStream()));
            os = new PrintStream(new BufferedOutputStream(s.getOutputStream()));
        }
        catch (IOException e) 
        {
            System.err.println(e.getMessage());
            System.exit(1);
        }

        System.out.println("Socket creata: " + s);


        // --- invio messaggio
        System.out.println("Sending " + args[2]);
        os.println(args[2]); os.flush();

        // --- stampa risposta del server
        System.out.println("Attesa risposta...");
        String line = null;
 
        try 
        {
            PrintWriter writer = new PrintWriter("./"+file.getName(), "UTF-8");
            while ((line = is.readLine()) != null) 
            {
                writer.println(line);
            }
            System.out.println("Trasferimento concluso");
            writer.close();
            is.close(); 
            os.close(); 
            s.close();
        }
        catch (IOException e) 
        {
            System.out.println(e.getMessage());
        }
    }
}
