// CLIENT

import java.io.*; 
import java.net.*;

class Client
{
    public static void main(String args[])
    {
        Socket c = null;
        BufferedReader is = null;
        PrintStream os = null;

        String indirizzo = "localhost";
        String port = "4444";
        File file = null;

        if (args.length >= 3 )
        {
            indirizzo = args[0];
            port = args[1];
            if (args.length == 4){
                file = new File(args[3]);
            }else{
                file = new File(args[2]);
            }
            
        }else{
            System.out.println("Uso: java Client IP PORT FILENAME");
            return;
        }
        try 
        {
            c = new Socket(indirizzo, Integer.parseInt(port)); // IP e porta del server
            is = new BufferedReader(new InputStreamReader(c.getInputStream()));
            os = new PrintStream(new BufferedOutputStream(c.getOutputStream()));
        }
        catch (IOException e) 
        {
            System.err.println(e.getMessage());
            System.exit(1);
        }

        System.out.println("Socket creata: " + c);

        // invio valori al server (da linea comandi)
        for (int i=0; i<args.length; i++) 
        {
            System.out.println("Sending " + args[i]);
            os.println(args[i]);
        }
        
        os.println("0"); os.flush();
        System.out.println("Attesa risposta...");
        String line = null;
 
        try 
        {
            line = new String(is.readLine());
            is.close(); 
            os.close(); 
            c.close();
        } 
        catch (IOException e) 
        {
            System.err.println(e.getMessage());
        }
        
            System.out.println("Msg dal server: " + line);
    }
}

